### Name: Marg.Like.Binary
### Title: Compute the Marginal Likelihood of the GLMM-AR(p) Model by Using
###   the MCMC Output and Reduced Samples
### Aliases: Marg.Like.Binary
### Keywords: models

### ** Examples

## Not run: 
##D require(panel)
##D require(bayesSurv)
##D data(StateAR3)
##D data(StateAR2)
##D  y <- StateFailure$failure
##D  Unit <- StateFailure$country
##D  Time <- StateFailure$year
##D  Fixed <- cbind(StateFailure$poldemoc,  StateFailure$bnkv123, StateFailure$bnkv117, 
##D               StateFailure$poldurab, StateFailure$faocalry, StateFailure$pwtcgdp, 
##D               StateFailure$macnac,StateFailure$macnciv,  StateFailure$wdiinfmt, 
##D               StateFailure$ptsamnes, StateFailure$dis1, StateFailure$bnkv81, 
##D               StateFailure$change.demo)
##D  UnitRandom <- cbind(log(StateFailure$pwtopen))
##D  TimeRandom <- as.matrix(rep( 1, length(y)))
##D  UnitPred <- cbind(StateFailure$macnac, StateFailure$poldemoc)
##D  TimePred <- cbind(StateFailure$dis1)
##D 
##D TimePred <- "NULL"
##D marginalLikely <- Marg.Like.Binary(y=y,X1=Fixed, Wi=UnitRandom, St=TimeRandom, 
##D                       Ai=UnitPred, Ft=TimePred, Unit.Index=Unit, Time.Index=Time, 
##D                       timeint.add=0, unitint.add=1, mcmc.output=StateAR2, reduced.mcmc=100,                     
##D                       reduced.burnin=50, nlag=2, beta0=rep(0,15),
##D                       B0=diag(10, 15), D0=diag(1.67, 2) , d0=9,  E0=6, e0=6, 
##D                       tracking=100)
## End(Not run)



