### Name: Prediction.Binary
### Title: Within-Sample and Out-of-Sample Prediction Based on the
###   Posteriors Returned from GLMMARp.Binary
### Aliases: Prediction.Binary
### Keywords: manip

### ** Examples

## Not run: 
##D ## Example
##D  require(panel)
##D  require(bayesSurv)
##D  data(StateFailure)
##D  y <- StateFailure$failure
##D  Unit <- StateFailure$country
##D  Time <- StateFailure$year
##D  Fixed <- cbind(StateFailure$poldemoc,  StateFailure$bnkv123, StateFailure$bnkv117,
##D               StateFailure$poldurab, StateFailure$faocalry, StateFailure$pwtcgdp,
##D               StateFailure$macnac,StateFailure$macnciv,  StateFailure$wdiinfmt,
##D               StateFailure$ptsamnes, StateFailure$dis1, StateFailure$bnkv81,
##D               StateFailure$change.demo)
##D 
##D  UnitRandom <- cbind(log(StateFailure$pwtopen))
##D  TimeRandom <- as.matrix(rep( 1, length(y)))
##D  UnitPred <- cbind(StateFailure$macnac, StateFailure$poldemoc)
##D  TimePred <- "NULL"
##D  
##D  data(StateAR2)
##D  prediction <- Prediction.Binary(y=y, X1=Fixed, Wi=UnitRandom, St=TimeRandom, Ai=UnitPred,
##D                            Ft=TimePred, Unit.Index=Unit, Time.Index=Time, timeint.add=0, 
##D                            unitint.add=1, mcmc.output=StateAR2, nlag=2)
##D  
## End(Not run)



