### Name: random.time
### Title: Compute the Time-Specific Coefficients in the Structural Form of
###   GLMM-AR(p)
### Aliases: random.time
### Keywords: manip

### ** Examples

## Not run: 
##D ## Example 1: Compute time-specific random effects 
##D  data(StateFailure)
##D  require(bayesSurv)
##D  data(StateFailure)
##D  y <- StateFailure$failure
##D  Unit <- StateFailure$country
##D  Time <- StateFailure$year
##D  Fixed <- cbind(StateFailure$poldemoc,  StateFailure$bnkv123, StateFailure$bnkv117,
##D               StateFailure$poldurab, StateFailure$faocalry, StateFailure$pwtcgdp,
##D               StateFailure$macnac,StateFailure$macnciv,  StateFailure$wdiinfmt,
##D               StateFailure$ptsamnes, StateFailure$dis1, StateFailure$bnkv81,
##D               StateFailure$change.demo)
##D  
##D  UnitRandom <- cbind(log(StateFailure$pwtopen))
##D  TimeRandom <- as.matrix(rep( 1, length(y)))
##D  UnitPred <- cbind(StateFailure$macnac, StateFailure$poldemoc)
##D  TimePred <- cbind(StateFailure$dis1)
##D  data(StateAR3)
##D  betat <- random.time (y=y,X1=Fixed, Wi=UnitRandom, St=TimeRandom, Ai=UnitPred, Ft=TimePred,
##D                         Unit.Index=Unit, Time.Index=Time, model=StateAR3,timeint=1)
## End(Not run)



